using System.Collections.Generic;
using ProtoBuf;

namespace Boggle
{
    [ProtoContract]
    public class ListWord
    {
        [ProtoMember(1)]
        public bool IsWord;

        [ProtoMember(2)]
        public Dictionary<string, ListWord> Next;

        public ListWord()
        {
            this.IsWord = false;
            this.Next = null;
        }

        public ListWord(bool isWord)
        {
            this.IsWord = isWord;
            this.Next = null;
        }

        public ListWord(bool isWord, Dictionary<string, ListWord> next)
        {
            this.IsWord = isWord;
            this.Next = next;
        }

    }
}
